
/* Header file for the SockO (PC)NFS ToolBox */

#ifndef MAX
#define MAX 513
#endif 

#define LEN 512
#define BUFMAX 1024
#define BUFLEN 1023
#define HOSTNAMEMAX 64
#define HOSTNAMELEN 63
#define BLOCK 0
#define NONBLOCK 1

extern char *sockerrmsg;

#ifndef bcopy
#define bcopy(b1,b2,len)        memcpy(b2,b1,len)
#endif 

#ifndef bzero 
#define bzero(b1,len)           memset(b1,0,len)
#endif

#ifndef bcmp
#define bcmp(b1,b2,len)         memcmp(b1,b2,len)
#endif

#ifdef UNIX
int socko();
int sockoa();
int sockc();
int sockr();
int sockw();
int sockrn();
int sockrx();
int sockwn();
void sockp();
void socke();
void socke_str();
unsigned long sockt();
char *sockd();
void tcp_time();
void tcp_daytime();
#else
int socko(char *host, char *service, char *protocol, int port, int nbios);
int sockoa(char *service, char *protocol, void (*func) ());
int sockc(int fd);
int sockr(int fd, char *ptr, int maxlen);
int sockw(int fd, char *ptr);
int sockrn(int fd, char *ptr, int nbytes);
int sockrx(int fd, char *ptr, int nbytes);
int sockwn(int fd, char *ptr, int nbytes);
void sockp(long milli_seconds);
void socke(char *);
void socke_str(void);
unsigned long sockt(char *host);
char *sockd(char *host);
void tcp_time(char *host);
void tcp_daytime(char *host);
#endif
